# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5

DESCRIPTION="Root-Certificate of GlaveGruppe."
HOMEPAGE="http://ldap.glave.de"
SRC_URI=""

LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

DEPEND="app-misc/ca-certificates"
RDEPEND="${DEPEND}"

src_unpack() {
	mkdir -p ${S}
}

src_install() {
	insinto /usr/local/share/ca-certificates
	doins ${FILESDIR}/glavegruppe_class1.crt
}

pkg_postinst() {
	einfo "please execute /usr/sbin/update-ca-certificates."
}
