# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit eutils

DESCRIPTION="Very small utility to convert TTF files to EOT."
HOMEPAGE="http://code.google.com/p/ttf2eot/"
SRC_URI="http://ttf2eot.googlecode.com/files/ttf2eot-0.0.2-2.tar.gz"
RESTRICT="primaryuri"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64"
IUSE=""

DEPEND=""
RDEPEND="${DEPEND}"

S="${WORKDIR}/${PN}-0.0.2-2"

src_prepare() {
	epatch ${FILESDIR}/add_stddef.patch
}

src_compile() {
	emake || die "Failed compiling ttf2eot."
}

src_install() {
	exeinto /usr/bin
	doexe ttf2eot
	dodoc ChangeLog README
}
