#!/sbin/runscript
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

start_stop_daemon_args="-u solr:solr"
pidfile="/run/solr/solr-${SOLR_PORT:-8983}.pid"

command="/bin/solr"
command_args="start -p ${SOLR_PORT:-8983} ${SOLR_OPTS}"

extra_commands="status"

depend() {
	need net
	use logger
}

start_pre() {
	rm -rf ${SOLR_TMPDIR}
	mkdir ${SOLR_TMPDIR}
	chown solr:solr ${SOLR_TMPDIR}
}

status() {
        /bin/solr status
}

stop() {
	/bin/solr stop
}
