# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5
PYTHON_COMPAT=( python2_7 )

inherit mercurial distutils-r1

DESCRIPTION="Piwik Statistics Plugin for Trac"
HOMEPAGE="https://bitbucket.org/piquadrat/tracpiwik"
EHG_REPO_URI="https://bitbucket.org/piquadrat/tracpiwik"
EHG_REVISION="3ad1491b8c11"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND=""

python_prepare_all() {
	# Req'd to avoid file collisions
	sed -e s":find_packages():find_packages(exclude=['tests']):" -i setup.py || die

	distutils-r1_python_prepare_all
}
# Tests attempt to import an abandonned module
