# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit depend.php eutils webapp

MY_PN="RackTables"

DESCRIPTION="Datacenter and Serverroom asset management"
HOMEPAGE="http://www.racktables.org/"
#SRC_URI="http://www.racktables.org/files/${MY_PN}-${PV}.tar.gz"
SRC_URI="mirror://sourceforge/racktables/${MY_PN}-${PV}.tar.gz"

RESTRICT=""
LICENSE="GPL-2"
IUSE=""
KEYWORDS="~amd64 ~x86"

need_httpd_fastcgi
need_php_httpd

S=${WORKDIR}/${MY_PN}-${PV}

src_compile() { :; }

pkg_setup() {
	webapp_pkg_setup
	has_php
	if [[ ${PHP_VERSION} == "4" ]] ; then
		require_php_with_use expat
	else
		require_php_with_use mysql pdo
	fi
}

src_install() {
	webapp_src_preinst
    
	cp -R ./wwwroot/* ${D}/${MY_HTDOCSDIR}
	cp -R ./gateways ./plugins ${D}/${MY_HOSTROOTDIR}

	webapp_src_install
}
