# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-mercurial/trac-mercurial-0.12.0.23.ebuild,v 1.1 2011/01/14 21:32:48 rafaelmartins Exp $

EAPI=3

PYTHON_DEPEND="2"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"

inherit distutils subversion

MY_PN="TracMercurial"
MY_P="${MY_PN}-${PV}"
ESVN_REPO_URI="http://svn.edgewall.com/repos/trac/plugins/0.12/mercurial-plugin"
ESVN_REVISION="10748"

DESCRIPTION="A Mercurial plugin for Trac"
HOMEPAGE="http://trac.edgewall.org/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="dev-python/setuptools"
RDEPEND=">=www-apps/trac-0.12
	>=dev-vcs/mercurial-1.1"

S="${WORKDIR}/${MY_P}"
